Skip to main content

Create Vendor: Yardi REST

Beta
POSThttps://api.propexo.com/v1/vendors/yardi_rest/
InterfaceMethod
Vendor Invoicing/ItfVendorInvoicing/ImportVendors
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    namestringrequired

    The name associated with the vendor

    is_activeboolean

    Whether the vendor is active

    notesstring

    Notes associated with the vendor

    Possible values: <= 1998 characters

    tax_idstring
    tax_payer_first_namestring

    The first name of the tax payer associated with the vendor

    tax_payer_last_namestring

    The last name of the tax payer associated with the vendor

    workers_comp_expiration_datestring

    The expiration date of the workers compensation policy on file for this vendor

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    liability_expiration_datestring

    The expiration date of the liability insurance policy on file for this vendor

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_methodstring

    The payment method for the vendor.

    Show 2 enum values
    CheckEFT
    address_1string

    The first address line associated with the vendor

    address_2string

    The second address line associated with the vendor

    citystring

    The city associated with the vendor

    statestring

    The state associated with the vendor

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code associated with the vendor

    countrystring

    The country associated with the vendor

    Show 2 variants
    • stringUnited StatesCanada
    • string
    email_1string

    The primary email address associated with the vendor

    phone_1string

    Primary phone number associated with the vendor

    phone_2string

    Secondary phone number associated with the vendor

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    namestringrequired

    The name associated with the vendor

    is_activeboolean | nullnullablerequired

    Whether the vendor is active

    notesstring | nullnullablerequired

    Notes associated with the vendor

    Possible values: <= 1998 characters

    tax_idstring | nullnullablerequired

    The tax payer identification number associated with the vendor

    tax_payer_first_namestring | nullnullablerequired

    The first name of the tax payer associated with the vendor

    tax_payer_last_namestring | nullnullablerequired

    The last name of the tax payer associated with the vendor

    workers_comp_expiration_datestring | nullnullablerequired

    The expiration date of the workers compensation policy on file for this vendor

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    liability_expiration_datestring | nullnullablerequired

    The expiration date of the liability insurance policy on file for this vendor

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_methodstring | nullnullablerequired

    The payment method for the vendor.

    Show 2 enum values
    CheckEFT
    address_1string | nullnullablerequired

    The first address line associated with the vendor

    address_2string | nullnullablerequired

    The second address line associated with the vendor

    citystring | nullnullablerequired

    The city associated with the vendor

    statestring | nullnullablerequired

    The state associated with the vendor

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring | nullnullablerequired

    The zip code associated with the vendor

    countrystring | nullnullablerequired

    The country associated with the vendor

    Show 2 variants
    • stringUnited StatesCanada
    • string
    email_1string | nullnullablerequired

    The primary email address associated with the vendor

    phone_1string | nullnullablerequired

    Primary phone number associated with the vendor

    phone_2string | nullnullablerequired

    Secondary phone number associated with the vendor

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/vendors/yardi_rest/
curl -X POST https://api.propexo.com/v1/vendors/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"name": "string",
"is_active": true,
"notes": "string",
"tax_id": "string",
"tax_payer_first_name": "string",
"tax_payer_last_name": "string",
"workers_comp_expiration_date": "2024-07-29T15:51:28.071Z",
"liability_expiration_date": "2024-07-29T15:51:28.071Z",
"payment_method": "Check",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"country": "United States",
"email_1": "string",
"phone_1": "string",
"phone_2": "string"
}
}